<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\BayerischerApothekertag\Detailsreiter\Info;

class InfoUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Info\InfoUseCase
{
  private $apotag;

  public function __construct($request)
  {
    parent::__construct($request);
    $this->apotag = new \Kufer\Web\KuferTools\Teilnehmer\BayerischerApothekertag\Utils\Apothekertag();
  }

  public function getAllowedKursnummern()
  {
    return $this->apotag->getAlleIds();
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_TN;
  }

  public static function getToolSectionId()
  {
    return 95;
  }

  protected function getMainReiterId()
  {
    return 337;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!\Kufer\Web\KuferTools\Basis\UseCase\EinzelKursUseCase::hasAccess(337)) {
      return false;
    }
    if (!$this->isRechtAllowed('337.1.2')) {
      return false;
    }

    return true;
  }

  protected function getInfo($kurs)
  {
    if (\System::isKuferSql5() && trim(strip_tags($kurs->webinfohtml)) !== '') {
      return $kurs->webinfohtml;
    }

    return \StringOperations::convertLinebreaks2HTML($kurs->getVarValue('webinfo'));
  }
}